Bug 1191220 - [RFE] Support Swift per-tenant namespace in RGW
Summary: [RFE] Support Swift per-tenant namespace in RGW
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 1.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: pre-dev-freeze
: 2.0
Assignee: Pete Zaitcev
QA Contact: shilpa
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1174319 1198799 1322504
TreeView+ depends on / blocked
 
Reported: 2015-02-10 18:03 UTC by Neil Levine
Modified: 2017-07-30 15:52 UTC (History)
18 users (show)

Fixed In Version: ceph-10.2.0-1.el7cp
Doc Type: Enhancement
Doc Text:
.Support for per tenant namespaces has been added The Ceph Object Gateway now supports multiple tenants with associated namespaces. Previously, the Ceph Object Gateway had only a single global namespace for buckets and containers. As a consequence, names of buckets and containers had to be unique, even across distinct accounts. With this new feature, the names have to be unique only within a tenant. For details, see the https://access.redhat.com/documentation/en/red-hat-ceph-storage/2/single/object-gateway-guide-for-red-hat-enterprise-linux[Ceph Object Gateway Guide for Red Hat Enterprise Linux] and https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/single/object-gateway-guide-for-ubuntu[Ceph Object Gateway Guide for Ubuntu].
Clone Of:
Environment:
Last Closed: 2016-08-23 19:25:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 9433 None None None Never
Red Hat Knowledge Base (Solution) 2909111 None None None 2017-02-06 22:32:48 UTC
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Description Neil Levine 2015-02-10 18:03:17 UTC
Openstack provides a namespace per-tenant which means that individual end-users don't have to worry about clashing names of containers or objects. RGW should be modified to support this when the user is interacting with the object store via the Swift protocol.

Comment 1 Federico Lucifredi 2015-03-26 00:11:11 UTC
this is designated as a Tufnell feature.

Comment 14 shilpa 2016-08-02 10:09:04 UTC
The feature is verified. In the doc "https://access.qa.redhat.com/documentation/en/red-hat-ceph-storage/2/paged/object-gateway-guide-for-red-hat-enterprise-linux/chapter-3-administration-cli#per-tenant-namespace", creation of subuser key command is invalid:


#radosgw-admin --subuser 'testx$tester:test' --key-type swift --secret test123

should be changed to:

#radosgw-admin key create --subuser 'testx$tester:test' --key-type swift --secret test123

Comment 15 shilpa 2016-08-02 13:01:02 UTC
The feature is verified. Tracking the doc issue in BZ 1327095

Comment 18 errata-xmlrpc 2016-08-23 19:25:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1755


Note You need to log in before you can comment on or make changes to this bug.